Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::fill_fn Struct Reference
Algorithms

## Public Member Functions
template<typename O , typename S , typename V >
auto | operator() (O begin, S end, V const &val) const -> O requires output_iterator< O, V const & > &&sentinel_for< S, O >
template<typename Rng , typename V >
auto | operator() (Rng &&rng, V const &val) const -> safe_iterator_t< Rng > requires output_range< Rng, V const & >